yumインストール

http://mirror.centos.org/centos/4.4/os/i386/CentOS/RPMS/

yumがインストールされているか確認する

# rpm -qa | grep yum

yumのRPMパッケージをダウンロードしてインストール

# wget http://mirror.centos.org/centos/4.4/os/i386/CentOS/RPMS/yum-2.4.3-1.c4.noarch.rpm
# rpm -ivh yum-2.4.3-1.c4.noarch.rpm

以下のエラーがでる。

warning: yum-2.4.3-1.c4.noarch.rpm: V3 DSA signature: NOKEY, key ID 443e1821

error: Failed dependencies:
        python-elementtree is needed by yum-2.4.3-1.c4.noarch
        python-sqlite is needed by yum-2.4.3-1.c4.noarch
        urlgrabber is needed by yum-2.4.3-1.c4.noarch

yumのRPMパッケージのインストールに必要なパッケージ類をダウンロードしてインストールする

# wget http://mirror.centos.org/centos/4.4/os/i386/CentOS/RPMS/python-elementtree-1.2.6-4.2.1.i386.rpm
# rpm -ivh python-elementtree-1.2.6-4.2.1.i386.rpm
# wget http://mirror.centos.org/centos/4.4/os/i386/CentOS/RPMS/sqlite-3.3.3-1.2.i386.rpm
# rpm -ivh sqlite-3.3.3-1.2.i386.rpm
# wget http://mirror.centos.org/centos/4.4/os/i386/CentOS/RPMS/python-sqlite-1.1.7-1.2.i386.rpm
# rpm -ivh python-sqlite-1.1.7-1.2.i386.rpm
# wget http://mirror.centos.org/centos/4.4/os/i386/CentOS/RPMS/python-urlgrabber-2.9.8-2.noarch.rpm
# rpm -ivh python-urlgrabber-2.9.8-2.noarch.rpm

yumのRPMパッケージをインストール

# rpm -ivh yum-2.4.3-1.c4.noarch.rpm

使えるネットの場合、glibc*のパッケージを除外してupdateする

http://linux.kororo.jp/cont/intro/yum.php

yum update でアップデートを除外したいパッケージの指定

# vim /etc/yum.conf

[main]
exclude= glibc*

yumのアップデート

yum -yは、全部yで答えるという意味

# yum -y update


Comment



Counter: 8351, today: 2, yesterday: 0

トップ   編集 凍結解除 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2013-09-24 (火) 14:56:14 (1341d)